Page 144 of 236 FirstFirst ... 4494134142143144145146154194 ... LastLast
Results 1,431 to 1,440 of 2358

Thread: HOWTO: Install and use the latest FFmpeg and x264

  1. #1431
    Join Date
    Dec 2005
    Location
    St. Petersburg, FL
    Beans
    532
    Distro
    Ubuntu 14.10 Utopic Unicorn

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by FakeOutdoorsman View Post
    Are you using Ubuntu Nattty Narwhal 11.04? The guide doesn't work for that yet, and I can confirm that FFmpeg is having trouble finding x264 in that Ubuntu version.
    Does it work on Natty if ffmpeg is forced to look at /usr/local/include and /usr/local/lib?

    This assuming, of course, that the real problem was Natty, not that x264 hadn't been installed.

    Quote Originally Posted by Scott O'Nanski
    Anyone know why this is, or how to circumvent it?
    Either
    A) remove --enable-libx264 from the command, or
    B) as the error message said to do, post the contents of the config.log file that was created when you told ffmpeg to ./configure - that'll show more or less exactly what happened.

  2. #1432
    Join Date
    Jun 2007
    Beans
    13,983

    Re: HOWTO: Install and use the latest FFmpeg and x264

    I can confirm that FFmpeg is having trouble finding x264 in that Ubuntu version.
    It is actually finding but failing on a number of undefined ref.'s
    Doesn't matter where x264 is installed (tried /usr, /usr/local and $HOME

    If x264 is built shared then no problem, but that presents other possible issues.

    What does work is to use gcc-4.4, whether just on one or the other not sure, didn't break down.
    Was fine though building both with 4.4
    ( for x264 export in terminal, for ffmpeg a configure option

    edit:
    just finished building, ect. - all seems well
    uname -a && ffmpeg
    Linux doug-alienware 2.6.37-12-generic #26-Ubuntu SMP Wed Jan 5 18:42:49 UTC 2011 i686 GNU/Linux
    FFmpeg version SVN-r26278, Copyright (c) 2000-2011 the FFmpeg developers
    built on Jan 8 2011 23:57:05 with gcc 4.4.5
    configuration: --enable-gpl --enable-version3 --enable-nonfree --enable-postproc --enable-libfaac --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libtheora --enable-libvorbis --enable-libvpx --enable-libx264 --enable-libxvid --enable-x11grab --cc=gcc-4.4
    libavutil 50.36. 0 / 50.36. 0
    libavcore 0.16. 0 / 0.16. 0
    libavcodec 52.108. 0 / 52.108. 0
    libavformat 52.92. 0 / 52.92. 0
    libavdevice 52. 2. 3 / 52. 2. 3
    libavfilter 1.72. 0 / 1.72. 0
    libswscale 0.12. 0 / 0.12. 0
    libpostproc 51. 2. 0 / 51. 2. 0
    Hyper fast Audio and Video encoder
    (ffmpeg definitely needs 4.4, (atm), didn't ck. on x264 though wouldn't hurt to use 4.4 also, ie.
    export CC=gcc-4.4 && ./configure
    Last edited by mc4man; January 9th, 2011 at 06:15 AM.

  3. #1433
    Join Date
    Sep 2006
    Beans
    3,578

    Re: HOWTO: Install and use the latest FFmpeg and x264

    I haven't had much of a chance to investigate this lately, but I also found that --enable-shared on x264 works as far as I can tell with my limited meddling.

    Works fine with gcc 4.5.2 on Arch Linux.

  4. #1434
    Join Date
    Jun 2007
    Beans
    13,983

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Works fine with gcc 4.5.2 on Arch Linux.
    i know it worked fine 3 - 4 wks ago, don't recall if it was 4.5.1 or .2, just did a fresh install so can't ck. (natty is now 4.5.2 + svn <whatever>
    Certainly premature anyway, if it doesn't resolve down the road then there is always shared or 4.4.X

  5. #1435
    Join Date
    Dec 2010
    Beans
    10
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Thank you so so much for this guide, now Im finally able to convert all my dvd backup avi's to mp4 for my Ipod touch and stream them with apache.

  6. #1436
    Join Date
    Dec 2006
    Beans
    7,178

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Hi mc4man,

    Quote Originally Posted by mc4man View Post
    Code:
    uname -a [...]
    Linux doug-alienware 2.6.37-12-generic #26-Ubuntu SMP Wed Jan 5 18:42:49 UTC 2011 i686 GNU/Linux
    A little aside from the main discussion, is that the default kernel for natty? I am a little amazed that it is in use so quickly as it was only released a few days ago! A little peeved as well since I have compiled my own copy with a degree of pain:

    Code:
    andrew@skamandros~$ uname -rv
    2.6.37-ads #1 SMP Sat Jan 8 17:18:36 EST 2011
    (ads = my initials)

    Andrew
    You think that's air you're breathing now?

  7. #1437
    Join Date
    Jul 2007
    Beans
    84

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by FakeOutdoorsman View Post
    Are you using Ubuntu Nattty Narwhal 11.04? The guide doesn't work for that yet, and I can confirm that FFmpeg is having trouble finding x264 in that Ubuntu version.

    Edit: I forgot to mention that current latest (FFmpeg version SVN-r26269) worked for me on 10.10.



    Glad it worked for you.
    Sorry I didn't respond sooner. I'm currently using Ubuntu 10.10.

    I'll check the rest of the posts and try again.

    Thanks for your efforts.

  8. #1438
    Join Date
    Jul 2007
    Beans
    84

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by qyot27 View Post
    Does it work on Natty if ffmpeg is forced to look at /usr/local/include and /usr/local/lib?

    This assuming, of course, that the real problem was Natty, not that x264 hadn't been installed.


    Either
    A) remove --enable-libx264 from the command, or
    B) as the error message said to do, post the contents of the config.log file that was created when you told ffmpeg to ./configure - that'll show more or less exactly what happened.

    Don't know how to do that.

  9. #1439
    Join Date
    Dec 2005
    Location
    St. Petersburg, FL
    Beans
    532
    Distro
    Ubuntu 14.10 Utopic Unicorn

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by Scott O'Nanski View Post
    Don't know how to do that.
    Which part? All removing --enable-libx264 means is to go to that part of the command, and Backspace (or Delete) it from the line before going further. Or remove it from the command in your own personal copy of the instructions, if you keep one around.

    For config.log, it's in the ffmpeg source directory - so, assuming you're in that directory:
    Code:
    gedit config.log
    Copy and paste the contents into your post.

    But since we're talking about 10.10 here, have you installed x264 as described by the guide?

  10. #1440
    Join Date
    Jan 2011
    Beans
    1

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Really its a good news.This site has lots of advantage. I found many interesting things from this site. I like it very much. Its so interesting.I want to sharing this topic with some of my close friends. So thanks this post.

Page 144 of 236 FirstFirst ... 4494134142143144145146154194 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •